#include <iostream>
#include <string>

using namespace std;

int main()
{
    string s;
    cin>>s;
    reverse(s.begin(), s.end());
    for(int i=0; i<s.size();i++){
        if(s[i]=='2'){
            s[i]='5';
        }
        else if(s[i]=='5'){
            s[i]='2';
        }
    }
    while(s[0]=='0'){
        s.erase(s.begin());
    }
    stoi(s);
    cout << s;
}
    

